diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/model/ipv4-l3-click-protocol.h ns-3.44/src/click/model/ipv4-l3-click-protocol.h
--- ns-3.43/src/click/model/ipv4-l3-click-protocol.h	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/model/ipv4-l3-click-protocol.h	2025-03-09 16:55:49.355371000 -0700
@@ -36,9 +36,9 @@
 class Icmpv4L4Protocol;
 
 /**
- * \brief Implement the Ipv4 layer specifically for Click nodes
+ * @brief Implement the Ipv4 layer specifically for Click nodes
  * to allow a clean integration of Click.
- * \ingroup click
+ * @ingroup click
  *
  * This is code is mostly repeated from the Ipv4L3Protocol implementation.
  * Changes include:
@@ -54,7 +54,7 @@
     /**
      * Get Type ID.
      *
-     * \return The type ID.
+     * @return The type ID.
      */
     static TypeId GetTypeId();
 
@@ -78,7 +78,7 @@
     Ipv4Address SourceAddressSelection(uint32_t interface, Ipv4Address dest) override;
 
     /**
-     * \param ttl default ttl to use
+     * @param ttl default ttl to use
      *
      * When we need to send an ipv4 packet, we use this default
      * ttl value.
@@ -86,11 +86,11 @@
     void SetDefaultTtl(uint8_t ttl);
 
     /**
-     * \param packet packet to send
-     * \param source source address of packet
-     * \param destination address of packet
-     * \param protocol number of packet
-     * \param route route entry
+     * @param packet packet to send
+     * @param source source address of packet
+     * @param destination address of packet
+     * @param protocol number of packet
+     * @param route route entry
      *
      * Higher-level layers call this method to send a packet
      * to Click
@@ -102,9 +102,9 @@
               Ptr<Ipv4Route> route) override;
 
     /**
-     * \param packet packet to send
-     * \param ipHeader IP Header
-     * \param route route entry
+     * @param packet packet to send
+     * @param ipHeader IP Header
+     * @param route route entry
      *
      * Higher-level layers call this method to send a packet with IPv4 Header
      * (Intend to be used with IpHeaderInclude attribute.)
@@ -112,8 +112,8 @@
     void SendWithHeader(Ptr<Packet> packet, Ipv4Header ipHeader, Ptr<Ipv4Route> route) override;
 
     /**
-     * \param packet packet to send down the stack
-     * \param ifid interface to be used for sending down packet
+     * @param packet packet to send down the stack
+     * @param ifid interface to be used for sending down packet
      *
      * Ipv4ClickRouting calls this method to send a packet further
      * down the stack
@@ -122,12 +122,12 @@
 
     /**
      * Lower layer calls this method to send a packet to Click
-     * \param device network device
-     * \param p the packet
-     * \param protocol protocol value
-     * \param from address of the correspondent
-     * \param to address of the destination
-     * \param packetType type of the packet
+     * @param device network device
+     * @param p the packet
+     * @param protocol protocol value
+     * @param from address of the correspondent
+     * @param to address of the destination
+     * @param packetType type of the packet
      */
     void Receive(Ptr<NetDevice> device,
                  Ptr<const Packet> p,
@@ -138,35 +138,35 @@
 
     /**
      * Ipv4ClickRouting calls this to locally deliver a packet
-     * \param p the packet
-     * \param ip The Ipv4Header of the packet
-     * \param iif The interface on which the packet was received
+     * @param p the packet
+     * @param ip The Ipv4Header of the packet
+     * @param iif The interface on which the packet was received
      */
     void LocalDeliver(Ptr<const Packet> p, const Ipv4Header& ip, uint32_t iif);
 
     /**
      * Get a pointer to the i'th Ipv4Interface
-     * \param i index of interface, pointer to which is to be returned
-     * \returns Pointer to the i'th Ipv4Interface if any.
+     * @param i index of interface, pointer to which is to be returned
+     * @returns Pointer to the i'th Ipv4Interface if any.
      */
     Ptr<Ipv4Interface> GetInterface(uint32_t i) const;
 
     /**
      * Adds an Ipv4Interface to the interfaces list
-     * \param interface Pointer to the Ipv4Interface to be added
-     * \returns Index of the device which was added
+     * @param interface Pointer to the Ipv4Interface to be added
+     * @returns Index of the device which was added
      */
     uint32_t AddIpv4Interface(Ptr<Ipv4Interface> interface);
 
     /**
      * Calls m_node = node and sets up Loopback if needed
-     * \param node Pointer to the node
+     * @param node Pointer to the node
      */
     void SetNode(Ptr<Node> node);
 
     /**
      * Returns the Icmpv4L4Protocol for the node
-     * \returns Icmpv4L4Protocol instance of the node
+     * @returns Icmpv4L4Protocol instance of the node
      */
     Ptr<Icmpv4L4Protocol> GetIcmp() const;
 
@@ -177,13 +177,13 @@
 
     /**
      * Creates a raw-socket
-     * \returns Pointer to the created socket
+     * @returns Pointer to the created socket
      */
     Ptr<Socket> CreateRawSocket() override;
 
     /**
      * Deletes a particular raw socket
-     * \param socket Pointer of socket to be deleted
+     * @param socket Pointer of socket to be deleted
      */
     void DeleteRawSocket(Ptr<Socket> socket) override;
 
@@ -222,7 +222,7 @@
     /**
      * Sets an interface to run on promiscuous mode.
      *
-     * \param i Interface ID.
+     * @param i Interface ID.
      */
     void SetPromisc(uint32_t i);
 
@@ -239,13 +239,13 @@
     /**
      * Build IPv4 header.
      *
-     * \param source IPv4 source address.
-     * \param destination IPv4 destination address.
-     * \param protocol Protocol.
-     * \param payloadSize Payload size.
-     * \param ttl Time To Live (TTL).
-     * \param mayFragment Whether the packet can be fragmented or not.
-     * \return The IPv4 header.
+     * @param source IPv4 source address.
+     * @param destination IPv4 destination address.
+     * @param protocol Protocol.
+     * @param payloadSize Payload size.
+     * @param ttl Time To Live (TTL).
+     * @param mayFragment Whether the packet can be fragmented or not.
+     * @return The IPv4 header.
      */
     Ipv4Header BuildHeader(Ipv4Address source,
                            Ipv4Address destination,
@@ -257,10 +257,10 @@
     void SetIpForward(bool forward) override;
     bool GetIpForward() const override;
 
-    /** \copydoc Ipv4::SetWeakEsModel */
+    /** @copydoc Ipv4::SetWeakEsModel */
     NS_DEPRECATED_3_41("Use SetStrongEndSystemModel instead")
     void SetWeakEsModel(bool model) override;
-    /** \copydoc Ipv4::GetWeakEsModel */
+    /** @copydoc Ipv4::GetWeakEsModel */
     NS_DEPRECATED_3_41("Use GetStrongEndSystemModel instead")
     bool GetWeakEsModel() const override;
 
@@ -268,27 +268,27 @@
     bool GetStrongEndSystemModel() const override;
 
     /**
-     * \brief List of IPv4 interfaces.
+     * @brief List of IPv4 interfaces.
      */
     typedef std::vector<Ptr<Ipv4Interface>> Ipv4InterfaceList;
 
     /**
-     * \brief Container of NetDevices registered to IPv4 and their interface indexes.
+     * @brief Container of NetDevices registered to IPv4 and their interface indexes.
      */
     typedef std::map<Ptr<const NetDevice>, uint32_t> Ipv4InterfaceReverseContainer;
 
     /**
-     * \brief List of sockets.
+     * @brief List of sockets.
      */
     typedef std::list<Ptr<Ipv4RawSocketImpl>> SocketList;
 
     /**
-     * \brief Container of the IPv4 L4 keys: protocol number, interface index
+     * @brief Container of the IPv4 L4 keys: protocol number, interface index
      */
     typedef std::pair<int, int32_t> L4ListKey_t;
 
     /**
-     * \brief Container of the IPv4 L4 instances.
+     * @brief Container of the IPv4 L4 instances.
      */
     typedef std::map<L4ListKey_t, Ptr<IpL4Protocol>> L4List_t;
 
@@ -304,11 +304,11 @@
 
     Ptr<Node> m_node; //!< Node
 
-    /** \todo Remove; this TracedCallback is never invoked. */
+    /** @todo Remove; this TracedCallback is never invoked. */
     TracedCallback<const Ipv4Header&, Ptr<const Packet>, uint32_t> m_sendOutgoingTrace;
-    /** \todo Remove: this TracedCallback is never invoked. */
+    /** @todo Remove: this TracedCallback is never invoked. */
     TracedCallback<const Ipv4Header&, Ptr<const Packet>, uint32_t> m_unicastForwardTrace;
-    /** \todo This TracedCallback is invoked but not accessible. */
+    /** @todo This TracedCallback is invoked but not accessible. */
     TracedCallback<const Ipv4Header&, Ptr<const Packet>, uint32_t> m_localDeliverTrace;
 
     SocketList m_sockets; //!< List of sockets
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/click/test/ipv4-click-routing-test.cc ns-3.44/src/click/test/ipv4-click-routing-test.cc
--- ns-3.43/src/click/test/ipv4-click-routing-test.cc	2024-10-09 16:41:09.852655600 -0700
+++ ns-3.44/src/click/test/ipv4-click-routing-test.cc	2025-03-09 16:55:49.355371000 -0700
@@ -20,21 +20,21 @@
 using namespace ns3;
 
 /**
- * \ingroup click
- * \defgroup click-tests click module tests
+ * @ingroup click
+ * @defgroup click-tests click module tests
  */
 
 /**
- * \file
- * \ingroup click-tests
+ * @file
+ * @ingroup click-tests
  * Click test suite.
  */
 
 /**
- * \ingroup click-tests
+ * @ingroup click-tests
  * Add Click Internet stack.
  *
- * \param node Node.
+ * @param node Node.
  */
 static void
 AddClickInternetStack(Ptr<Node> node)
@@ -45,13 +45,13 @@
 }
 
 /**
- * \ingroup click-tests
+ * @ingroup click-tests
  * Add network device.
  *
- * \param node Node.
- * \param macaddr MAC address.
- * \param ipv4addr IPv4 address.
- * \param ipv4mask IPv4 mask.
+ * @param node Node.
+ * @param macaddr MAC address.
+ * @param ipv4addr IPv4 address.
+ * @param ipv4mask IPv4 mask.
  */
 static void
 AddNetworkDevice(Ptr<Node> node, Mac48Address macaddr, Ipv4Address ipv4addr, Ipv4Mask ipv4mask)
@@ -70,7 +70,7 @@
 }
 
 /**
- * \ingroup click-tests
+ * @ingroup click-tests
  * Click interface ID from name test.
  */
 class ClickIfidFromNameTest : public TestCase
@@ -120,7 +120,7 @@
 }
 
 /**
- * \ingroup click-tests
+ * @ingroup click-tests
  * Click IP MAC address from name test.
  */
 class ClickIpMacAddressFromNameTest : public TestCase
@@ -184,7 +184,7 @@
 }
 
 /**
- * \ingroup click-tests
+ * @ingroup click-tests
  * Click trivial test.
  */
 class ClickTrivialTest : public TestCase
@@ -232,7 +232,7 @@
 }
 
 /**
- * \ingroup click-tests
+ * @ingroup click-tests
  * Click interface ID from name test.
  */
 class ClickIfidFromNameTestSuite : public TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/config-store/examples/config-store-save.cc ns-3.44/src/config-store/examples/config-store-save.cc
--- ns-3.43/src/config-store/examples/config-store-save.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/config-store/examples/config-store-save.cc	2025-03-09 16:55:49.355371000 -0700
@@ -6,22 +6,22 @@
 using namespace ns3;
 
 /**
- * \defgroup configstore-examples Config Store examples
- * \ingroup configstore
- * \ingroup examples
+ * @defgroup configstore-examples Config Store examples
+ * @ingroup configstore
+ * @ingroup examples
  */
 
 /**
- * \ingroup configstore-examples
+ * @ingroup configstore-examples
  *
- * \brief Example class to demonstrate use of the ns-3 Config Store
+ * @brief Example class to demonstrate use of the ns-3 Config Store
  */
 class ConfigExample : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId()
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/config-store/model/attribute-default-iterator.h ns-3.44/src/config-store/model/attribute-default-iterator.h
--- ns-3.43/src/config-store/model/attribute-default-iterator.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/config-store/model/attribute-default-iterator.h	2025-03-09 16:55:49.355371000 -0700
@@ -16,16 +16,16 @@
 {
 
 /**
- * \ingroup configstore
+ * @ingroup configstore
  *
- * \brief Iterator to iterate on the default values of attributes of an ns3::Object
+ * @brief Iterator to iterate on the default values of attributes of an ns3::Object
  */
 class AttributeDefaultIterator
 {
   public:
     virtual ~AttributeDefaultIterator() = 0;
     /**
-     * \brief This function will go through all the TypeIds and get only the attributes which are
+     * @brief This function will go through all the TypeIds and get only the attributes which are
      * explicit values (not vectors or pointer or arrays) and apply StartVisitTypeId
      * and VisitAttribute on the attributes in one TypeId. At the end of each TypeId
      * EndVisitTypeId is called.
@@ -34,29 +34,29 @@
 
   private:
     /**
-     * \brief Begin the analysis of a TypeId
-     * \param name TypeId name
+     * @brief Begin the analysis of a TypeId
+     * @param name TypeId name
      */
     virtual void StartVisitTypeId(std::string name);
     /**
-     * \brief End the analysis of a TypeId
+     * @brief End the analysis of a TypeId
      */
     virtual void EndVisitTypeId();
     /**
-     * \brief Visit an Attribute
-     * \param tid the TypeId the attribute belongs to
-     * \param name the Attribute name
-     * \param defaultValue the attribute default value
-     * \param index the index of the Attribute
+     * @brief Visit an Attribute
+     * @param tid the TypeId the attribute belongs to
+     * @param name the Attribute name
+     * @param defaultValue the attribute default value
+     * @param index the index of the Attribute
      */
     virtual void VisitAttribute(TypeId tid,
                                 std::string name,
                                 std::string defaultValue,
                                 uint32_t index);
     /**
-     * \brief Visit an Attribute
-     * \param name the Attribute name
-     * \param defaultValue the attribute default value
+     * @brief Visit an Attribute
+     * @param name the Attribute name
+     * @param defaultValue the attribute default value
      */
     virtual void DoVisitAttribute(std::string name, std::string defaultValue);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/config-store/model/attribute-iterator.cc ns-3.44/src/config-store/model/attribute-iterator.cc
--- ns-3.43/src/config-store/model/attribute-iterator.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/config-store/model/attribute-iterator.cc	2025-03-09 16:55:49.355371000 -0700
@@ -220,8 +220,8 @@
             if (ptrChecker != nullptr)
             {
                 NS_LOG_DEBUG("pointer attribute " << info.name);
-                if (info.supportLevel == TypeId::DEPRECATED ||
-                    info.supportLevel == TypeId::OBSOLETE)
+                if (info.supportLevel == TypeId::SupportLevel::DEPRECATED ||
+                    info.supportLevel == TypeId::SupportLevel::OBSOLETE)
                 {
                     continue;
                 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/config-store/model/attribute-iterator.h ns-3.44/src/config-store/model/attribute-iterator.h
--- ns-3.43/src/config-store/model/attribute-iterator.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/config-store/model/attribute-iterator.h	2025-03-09 16:55:49.355371000 -0700
@@ -17,10 +17,10 @@
 {
 
 /**
- * \ingroup configstore
+ * @ingroup configstore
  *
- * \brief Iterator to iterate on the values of attributes of an ns3::Object
- * \note This class is used internally by ConfigStore and GtkConfigStore.
+ * @brief Iterator to iterate on the values of attributes of an ns3::Object
+ * @note This class is used internally by ConfigStore and GtkConfigStore.
  */
 class AttributeIterator
 {
@@ -36,7 +36,7 @@
   protected:
     /**
      * Get the current attribute path
-     * \returns the current path string
+     * @returns the current path string
      */
     std::string GetCurrentPath() const;
 
@@ -46,13 +46,13 @@
      * to a text file) on the attribute values corresponding to the input
      * object pointer and attribute name.
      *
-     * \param object the object visited
-     * \param name the attribute name
+     * @param object the object visited
+     * @param name the attribute name
      */
     virtual void DoVisitAttribute(Ptr<Object> object, std::string name) = 0;
     /**
      * This method is called to start the process of visiting the input object
-     * \param object the object visited
+     * @param object the object visited
      */
     virtual void DoStartVisitObject(Ptr<Object> object);
     /**
@@ -64,9 +64,9 @@
      * Visit the attribute of type ns3::PointerValue, with the provided name,
      * found on the object pointed to by the first argument.
      *
-     * \param object the object on which the attribute of type PointerValue resides
-     * \param name the attribute name provided
-     * \param [in] value Ptr to the ns3::Object pointed to by the attribute
+     * @param object the object on which the attribute of type PointerValue resides
+     * @param name the attribute name provided
+     * @param [in] value Ptr to the ns3::Object pointed to by the attribute
      */
     virtual void DoStartVisitPointerAttribute(Ptr<Object> object,
                                               std::string name,
@@ -79,11 +79,11 @@
      * Visit the attribute of type ns3::ObjectVectorValue, with the
      * provided name, found on the object pointed to by the first argument.
      *
-     * \note type name ObjectVectorValue is an alias for ObjectPtrContainerValue
+     * @note type name ObjectVectorValue is an alias for ObjectPtrContainerValue
      *
-     * \param object the object on which the attribute of type ObjectVectorValue resides
-     * \param name the attribute name provided
-     * \param [in] vector the ObjectPtrContainerValue corresponding to the named attribute
+     * @param object the object on which the attribute of type ObjectVectorValue resides
+     * @param name the attribute name provided
+     * @param [in] vector the ObjectPtrContainerValue corresponding to the named attribute
      */
     virtual void DoStartVisitArrayAttribute(Ptr<Object> object,
                                             std::string name,
@@ -94,9 +94,9 @@
     virtual void DoEndVisitArrayAttribute();
     /**
      * Start to visit the object found in the input array at the provided index
-     * \param vector the array
-     * \param index the index into the array
-     * \param [in] item the array item to visit
+     * @param vector the array
+     * @param index the index into the array
+     * @param [in] item the array item to visit
      */
     virtual void DoStartVisitArrayItem(const ObjectPtrContainerValue& vector,
                                        uint32_t index,
@@ -108,31 +108,31 @@
 
     /**
      * Perform the iteration
-     * \param object the object visited
+     * @param object the object visited
      */
     void DoIterate(Ptr<Object> object);
     /**
      * Check if this object has already been examined
-     * \param object the object to check
-     * \returns true if object has been examined
+     * @param object the object to check
+     * @returns true if object has been examined
      */
     bool IsExamined(Ptr<const Object> object);
     /**
      * Get current attribute path
-     * \param attr the current attribute string
-     * \returns the current path string
+     * @param attr the current attribute string
+     * @returns the current path string
      */
     std::string GetCurrentPath(std::string attr) const;
 
     /**
      * Visit attribute to perform a config store operation on it
-     * \param object the current object
-     * \param name the attribute name
+     * @param object the current object
+     * @param name the attribute name
      */
     void VisitAttribute(Ptr<Object> object, std::string name);
     /**
      * Start to visit an object to visit its attributes
-     * \param object the current object
+     * @param object the current object
      */
     void StartVisitObject(Ptr<Object> object);
     /**
@@ -143,9 +143,9 @@
      * Visit the attribute of type ns3::PointerValue, with the provided name,
      * found on the object pointed to by the first argument.
      *
-     * \param object the object on which the attribute of type PointerValue resides
-     * \param name the attribute name provided
-     * \param [in] value Ptr to the ns3::Object pointed to by the attribute
+     * @param object the object on which the attribute of type PointerValue resides
+     * @param name the attribute name provided
+     * @param [in] value Ptr to the ns3::Object pointed to by the attribute
      */
     void StartVisitPointerAttribute(Ptr<Object> object, std::string name, Ptr<Object> value);
     /**
@@ -156,11 +156,11 @@
      * Visit the attribute of type ns3::ObjectVectorValue, with the
      * provided name, found on the object pointed to by the first argument.
      *
-     * \note type name ObjectVectorValue is an alias for ObjectPtrContainerValue
+     * @note type name ObjectVectorValue is an alias for ObjectPtrContainerValue
      *
-     * \param object the object on which the attribute of type ObjectVectorValue resides
-     * \param name the attribute name provided
-     * \param [in] vector the ObjectPtrContainerValue corresponding to the named attribute
+     * @param object the object on which the attribute of type ObjectVectorValue resides
+     * @param name the attribute name provided
+     * @param [in] vector the ObjectPtrContainerValue corresponding to the named attribute
      */
     void StartVisitArrayAttribute(Ptr<Object> object,
                                   std::string name,
@@ -171,9 +171,9 @@
     void EndVisitArrayAttribute();
     /**
      * Start to visit the object found in the input array at the provided index
-     * \param vector the array
-     * \param index the index into the array
-     * \param [in] item the array item to visit
+     * @param vector the array
+     * @param index the index into the array
+     * @param [in] item the array item to visit
      */
     void StartVisitArrayItem(const ObjectPtrContainerValue& vector,
                              uint32_t index,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/config-store/model/config-store.cc ns-3.44/src/config-store/model/config-store.cc
--- ns-3.43/src/config-store/model/config-store.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/config-store/model/config-store.cc	2025-03-09 16:55:49.355371000 -0700
@@ -13,7 +13,6 @@
 #include "ns3/abort.h"
 #include "ns3/attribute-construction-list.h"
 #include "ns3/boolean.h"
-#include "ns3/config-store-config.h"
 #include "ns3/enum.h"
 #include "ns3/log.h"
 #include "ns3/simulator.h"
@@ -26,7 +25,6 @@
 #include <fstream>
 #include <iostream>
 #include <string>
-#include <unistd.h>
 
 namespace ns3
 {
@@ -69,7 +67,7 @@
                 BooleanValue(true),
                 MakeBooleanAccessor(&ConfigStore::SetSaveDeprecated),
                 MakeBooleanChecker(),
-                TypeId::OBSOLETE,
+                TypeId::SupportLevel::OBSOLETE,
                 "OBSOLETE since ns-3.43 as it is no longer needed; deprecated attributes are saved "
                 "only if their value differs from their respective original initial value");
     return tid;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/config-store/model/config-store.h ns-3.44/src/config-store/model/config-store.h
--- ns-3.43/src/config-store/model/config-store.h	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/config-store/model/config-store.h	2025-03-09 16:55:49.355371000 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \defgroup configstore Configuration Store/Load
+ * @defgroup configstore Configuration Store/Load
  *
- * \brief Store and load simulation attribute configuration
+ * @brief Store and load simulation attribute configuration
  *
  * ns-3 Objects and their attribute values (default, and per-instance values)
  * are stored in a specialized internal database.  The config-store module
@@ -43,15 +43,15 @@
  */
 
 /**
- * \ingroup configstore
+ * @ingroup configstore
  *
  */
 class ConfigStore : public ObjectBase
 {
   public:
     /**
-     * \enum Mode for ConfigStore operation
-     * \brief store / load mode
+     * @enum Mode for ConfigStore operation
+     * @brief store / load mode
      */
     enum Mode
     {
@@ -61,8 +61,8 @@
     };
 
     /**
-     * \enum FileFormat for ConfigStore operation
-     * \brief file format
+     * @enum FileFormat for ConfigStore operation
+     * @brief file format
      */
     /// store format
     enum FileFormat
@@ -72,8 +72,8 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -83,22 +83,22 @@
 
     /**
      * Set the mode of operation
-     * \param mode mode of operation
+     * @param mode mode of operation
      */
     void SetMode(Mode mode);
     /**
      * Set the file format
-     * \param format the file format
+     * @param format the file format
      */
     void SetFileFormat(FileFormat format);
     /**
      * Set the filename
-     * \param filename the file name
+     * @param filename the file name
      */
     void SetFilename(std::string filename);
     /**
      * Set if to save deprecated attributes
-     * \param saveDeprecated the deprecated attributes save policy
+     * @param saveDeprecated the deprecated attributes save policy
      */
     void SetSaveDeprecated(bool saveDeprecated);
 
@@ -120,19 +120,19 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] mode The configStore mode.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] mode The configStore mode.
+ * @returns The reference to the output stream.
  */
 std::ostream& operator<<(std::ostream& os, ConfigStore::Mode& mode);
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] format The configStore file format.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] format The configStore file format.
+ * @returns The reference to the output stream.
  */
 std::ostream& operator<<(std::ostream& os, ConfigStore::FileFormat& format);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/config-store/model/display-functions.cc ns-3.44/src/config-store/model/display-functions.cc
--- ns-3.43/src/config-store/model/display-functions.cc	2024-10-09 16:41:09.856655800 -0700
+++ ns-3.44/src/config-store/model/display-functions.cc	2025-03-09 16:55:49.355371000 -0700
@@ -420,13 +420,13 @@
  * an attribute value and the type of the object for an attribute object or a
  * typeID object
  *
- * \param widget is the display object
- * \param x is the x position
- * \param y is the y position
- * \param keyboard_tip
- * \param tooltip is the tooltip information to be displayed
- * \param user_data
- * \return false if the tooltip is not displayed
+ * @param widget is the display object
+ * @param x is the x position
+ * @param y is the y position
+ * @param keyboard_tip
+ * @param tooltip is the tooltip information to be displayed
+ * @param user_data
+ * @return false if the tooltip is not displayed
  */
 gboolean
 cell_tooltip_callback_config_default(GtkWidget* widget,
@@ -507,8 +507,8 @@
  * This is the action done when the user presses on the save button.
  * It will save the config to a file.
  *
- * \param button (unused)
- * \param user_data
+ * @param button (unused)
+ * @param user_data
  */
 void
 save_clicked_default(GtkButton* button, gpointer user_data)
@@ -545,8 +545,8 @@
 /*
  * If the user presses the button load, it will load the config file into memory.
  *
- * \param button (unused)
- * \param user_data
+ * @param button (unused)
+ * @param user_data
  */
 void
 load_clicked_default(GtkButton* button, gpointer user_data)
@@ -577,8 +577,8 @@
  * This is the action done when the user presses on the save button.
  * It will save the config to a file.
  *
- * \param button (unused)
- * \param user_data
+ * @param button (unused)
+ * @param user_data
  */
 void
 save_clicked_attribute(GtkButton* button, gpointer user_data)
@@ -615,8 +615,8 @@
 /*
  * If the user presses the button load, it will load the config file into memory.
  *
- * \param button (unused)
- * \param user_data
+ * @param button (unused)
+ * @param user_data
  */
 void
 load_clicked_attribute(GtkButton* button, gpointer user_data)
